package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 人效汇总表
 * </p>
 *
 * @author mk
 * @since 2022-08-21
 */
@TableName("efficiency_recording")
@ApiModel(value="EfficiencyRecording对象", description="人效汇总表")
public class EfficiencyRecording extends Model<EfficiencyRecording> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建人")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改人")
    @TableField("modify_name")
    private String modifyName;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "站点id")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "物业id")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "代理id")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "站点名称")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "物业名称")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "代理名称")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "统计起始时间")
    @TableField("statistics_start_time")
    private Date statisticsStartTime;

    @ApiModelProperty(value = "统计结束时间")
    @TableField("statistics_end_time")
    private Date statisticsEndTime;

    @ApiModelProperty(value = "人员总数")
    @TableField("user_total")
    private Double userTotal;

    @ApiModelProperty(value = "工时总数")
    @TableField("wage_hour_total")
    private Double wageHourTotal;

    @ApiModelProperty(value = "积分总数")
    @TableField("point_total")
    private Double pointTotal;

    @ApiModelProperty(value = "薪资总数")
    @TableField("salary_total")
    private Double salaryTotal;

    @ApiModelProperty(value = "任务总数")
    @TableField("task_count_total")
    private Double taskCountTotal;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public Date getStatisticsStartTime() {
        return statisticsStartTime;
    }

    public void setStatisticsStartTime(Date statisticsStartTime) {
        this.statisticsStartTime = statisticsStartTime;
    }

    public Date getStatisticsEndTime() {
        return statisticsEndTime;
    }

    public void setStatisticsEndTime(Date statisticsEndTime) {
        this.statisticsEndTime = statisticsEndTime;
    }

    public Double getUserTotal() {
        return userTotal;
    }

    public void setUserTotal(Double userTotal) {
        this.userTotal = userTotal;
    }

    public Double getWageHourTotal() {
        return wageHourTotal;
    }

    public void setWageHourTotal(Double wageHourTotal) {
        this.wageHourTotal = wageHourTotal;
    }

    public Double getPointTotal() {
        return pointTotal;
    }

    public void setPointTotal(Double pointTotal) {
        this.pointTotal = pointTotal;
    }

    public Double getSalaryTotal() {
        return salaryTotal;
    }

    public void setSalaryTotal(Double salaryTotal) {
        this.salaryTotal = salaryTotal;
    }

    public Double getTaskCountTotal() {
        return taskCountTotal;
    }

    public void setTaskCountTotal(Double taskCountTotal) {
        this.taskCountTotal = taskCountTotal;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "EfficiencyRecording{" +
        "id=" + id +
        ", createId=" + createId +
        ", createName=" + createName +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyName=" + modifyName +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", districtId=" + districtId +
        ", propertyId=" + propertyId +
        ", agentId=" + agentId +
        ", districtName=" + districtName +
        ", propertyName=" + propertyName +
        ", agentName=" + agentName +
        ", statisticsStartTime=" + statisticsStartTime +
        ", statisticsEndTime=" + statisticsEndTime +
        ", userTotal=" + userTotal +
        ", wageHourTotal=" + wageHourTotal +
        ", pointTotal=" + pointTotal +
        ", salaryTotal=" + salaryTotal +
        ", taskCountTotal=" + taskCountTotal +
        "}";
    }
}
